Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeSnapshotsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeSnapshotsRequest

    public class DescribeSnapshotsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeSnapshots operation`.

Describes the indicated snapshots, or in lieu of that, all snapshots owned by the caller.

See Also:
  `AmazonEC2.describeSnapshots(DescribeSnapshotsRequest)`

Constructor Summary
`DescribeSnapshotsRequest()`

Method Summary
`List<String>` | `getOwnerIds()` The optional list of EBS snapshot owners.
`List<String>` | `getRestorableByUserIds()` The optional list of users who have permission to create volumes from the described EBS snapshots.
`List<String>` | `getSnapshotIds()` The optional list of EBS snapshot IDs to describe.
`void` | `setOwnerIds(Collection<String> ownerIds)` The optional list of EBS snapshot owners.
`void` | `setRestorableByUserIds(Collection<String> restorableByUserIds)` The optional list of users who have permission to create volumes from the described EBS snapshots.
`void` | `setSnapshotIds(Collection<String> snapshotIds)` The optional list of EBS snapshot IDs to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeSnapshotsRequest` | `withOwnerIds(Collection<String> ownerIds)` The optional list of EBS snapshot owners.
`DescribeSnapshotsRequest` | `withOwnerIds(String... ownerIds)` The optional list of EBS snapshot owners.
`DescribeSnapshotsRequest` | `withRestorableByUserIds(Collection<String> restorableByUserIds)` The optional list of users who have permission to create volumes from the described EBS snapshots.
`DescribeSnapshotsRequest` | `withRestorableByUserIds(String... restorableByUserIds)` The optional list of users who have permission to create volumes from the described EBS snapshots.
`DescribeSnapshotsRequest` | `withSnapshotIds(Collection<String> snapshotIds)` The optional list of EBS snapshot IDs to describe.
`DescribeSnapshotsRequest` | `withSnapshotIds(String... snapshotIds)` The optional list of EBS snapshot IDs to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeSnapshotsRequest

    public DescribeSnapshotsRequest()

Method Detail

### getSnapshotIds

    public List<String> getSnapshotIds()

  The optional list of EBS snapshot IDs to describe.

  Returns:
    The optional list of EBS snapshot IDs to describe.

### setSnapshotIds

    public void setSnapshotIds(Collection<String> snapshotIds)

  The optional list of EBS snapshot IDs to describe.

  Parameters:
    `snapshotIds` - The optional list of EBS snapshot IDs to describe.

### withSnapshotIds

    public DescribeSnapshotsRequest withSnapshotIds(String... snapshotIds)

  The optional list of EBS snapshot IDs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotIds` - The optional list of EBS snapshot IDs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withSnapshotIds

    public DescribeSnapshotsRequest withSnapshotIds(Collection<String> snapshotIds)

  The optional list of EBS snapshot IDs to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `snapshotIds` - The optional list of EBS snapshot IDs to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getOwnerIds

    public List<String> getOwnerIds()

  The optional list of EBS snapshot owners.

  Returns:
    The optional list of EBS snapshot owners.

### setOwnerIds

    public void setOwnerIds(Collection<String> ownerIds)

  The optional list of EBS snapshot owners.

  Parameters:
    `ownerIds` - The optional list of EBS snapshot owners.

### withOwnerIds

    public DescribeSnapshotsRequest withOwnerIds(String... ownerIds)

  The optional list of EBS snapshot owners.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerIds` - The optional list of EBS snapshot owners.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withOwnerIds

    public DescribeSnapshotsRequest withOwnerIds(Collection<String> ownerIds)

  The optional list of EBS snapshot owners.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ownerIds` - The optional list of EBS snapshot owners.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getRestorableByUserIds

    public List<String> getRestorableByUserIds()

  The optional list of users who have permission to create volumes from the described EBS snapshots.

  Returns:
    The optional list of users who have permission to create volumes from the described EBS snapshots.

### setRestorableByUserIds

    public void setRestorableByUserIds(Collection<String> restorableByUserIds)

  The optional list of users who have permission to create volumes from the described EBS snapshots.

  Parameters:
    `restorableByUserIds` - The optional list of users who have permission to create volumes from the described EBS snapshots.

### withRestorableByUserIds

    public DescribeSnapshotsRequest withRestorableByUserIds(String... restorableByUserIds)

  The optional list of users who have permission to create volumes from the described EBS snapshots.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `restorableByUserIds` - The optional list of users who have permission to create volumes from the described EBS snapshots.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withRestorableByUserIds

    public DescribeSnapshotsRequest withRestorableByUserIds(Collection<String> restorableByUserIds)

  The optional list of users who have permission to create volumes from the described EBS snapshots.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `restorableByUserIds` - The optional list of users who have permission to create volumes from the described EBS snapshots.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.